##---------------------------------------------------------------------------------------------------
class Entity():
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, debug_name, euid, local_transform, local_aabb, lineage):
        self.debug_name      = debug_name
        self.euid            = euid
        self.local_transform = local_transform
        self.local_aabb      = local_aabb
        self.lineage         = lineage
        self.material_ref    = 0
        self.mesh_ref        = 0

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        entity_dict = {
            "debug_name": self.debug_name.to_dict(),
            "euid": self.euid.to_dict(),
            "lineage" : self.lineage.to_dict(),
            "local_aabb": self.local_aabb.to_dict(),
            "local_transform": self.local_transform.to_dict()
        }
        if self.material_ref:
            entity_dict["material_ref"] = self.material_ref.to_dict()
        if self.mesh_ref:
            entity_dict["mesh_ref"] = self.mesh_ref.to_dict()
            
        return entity_dict
    