from ..core.aabb import BoundingBox

  
##---------------------------------------------------------------------------------------------------  
class SceneDescription():
    ##-----------------------------------------------------------------------------------------------
    def __init__(self):
        self.uuid               = str() 
        self.name               = str()
        self.entities           = []
        self.aabb               = BoundingBox([0,0,0],[0,0,0])
        self.triangle_count     = int()

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        return {
            "name": self.name,
            "uuid": self.uuid,
            "aabb": self.aabb.to_dict(),
            "entities": [entity.to_dict() for entity in self.entities],
            "triangleCount": self.triangle_count
        }
        
            